import acm.program.*;
import java.util.*;

public class FreeAssociation extends ConsoleProgram {
	public void run() {
		setFont("DejaVuSerif-24-BOLD");
		
		TreeSet<String> used = new TreeSet<String>();
		while (true) {
			String input = readLine("Enter something: ");
			
			if (used.contains(input)) {
				println("You're repeating yourself.");
				println("By repeating yourself.");
				println("Go do something else.");
				break;
			} else {
				used.add(input);
			}
		}
		
		for (String phrase: used) {
			println("You entered: " + phrase);
		}
	}
}
